import * as budgets from 'aws-cdk-lib/aws-budgets';
import { Construct } from 'constructs';
import { GlobalVariablesBudgetSnsCacheRecord } from '../../data-landing-zone-types';
import { SlackChannel } from '../account-chatbots';
export interface BudgetSubscribers {
    /**
     * Optional, specify to reuse the same SNS topic for multiple budgets
     */
    readonly snsTopicName?: string;
    readonly emails?: string[];
    readonly slacks?: SlackChannel[];
}
export interface DlzBudgetProps {
    readonly name: string;
    readonly amount: number;
    readonly forTags?: Record<string, string>;
    readonly subscribers: BudgetSubscribers;
}
export declare class DlzBudget {
    readonly cfnBudget: budgets.CfnBudget;
    constructor(scope: Construct, id: string, props: DlzBudgetProps, budgetSnsCache: Record<string, GlobalVariablesBudgetSnsCacheRecord>);
}
