import { Construct } from 'constructs';
import { DlzStack, DlzStackProps } from '../../../constructs/index';
import { DataLandingZoneProps, GlobalVariables } from '../../../data-landing-zone-types';
export interface ManagementGlobalStackProps extends DlzStackProps {
    readonly globalVariables: GlobalVariables;
}
export declare class ManagementGlobalStack extends DlzStack {
    private stackProps;
    private props;
    constructor(scope: Construct, stackProps: ManagementGlobalStackProps, props: DataLandingZoneProps);
    /**
    * IAM Policy Permission Boundary
   */
    iamPermissionBoundary(): void;
    /**
     * Control Tower Controls applied on all OUs
     */
    private rootControls;
    /**
     * Service Control Policies and Tag Policies applied at the account level to enable customization per account
     */
    workloadAccountsOrgPolicies(): void;
    /**
     * Service Control Policies and Tag Policies  applied at the OU level because we won't need any customizations per account
     */
    suspendedOuPolicies(): void;
    budgets(): void;
    deploymentPlatformGitHub(): void;
}
